=== debian/changelog ===
opencu (3-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:57 +1100

opencu (3-3build3) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:28:26 +0100

opencu (3-3build2) mantic; urgency=medium

  * No-change rebuild against libevent-2.1-7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Sep 2023 19:20:19 +0000

opencu (3-3build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:54:03 +0200

opencu (3-3) unstable; urgency=medium

  * Add Breaks + Replaces cu (Closes: #1011420).

 -- Tobias Heider <me@tobhe.de>  Mon, 23 May 2022 21:37:14 +0200

opencu (3-2) unstable; urgency=medium

  * Update vcs link to https://salsa.debian.org/debian/opencu

 -- Tobias Heider <me@tobhe.de>  Wed, 06 Apr 2022 21:00:06 +0200

opencu (3-1) unstable; urgency=medium

  * Initial release (Closes: #1008683).

 -- Tobias Heider <me@tobhe.de>  Mon, 28 Mar 2022 16:37:03 +0200
