=== debian/control ===
Source: opencu
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: cmake, debhelper-compat (= 13), libevent-dev
Standards-Version: 4.6.0
Homepage: https://github.com/tobhe/opencu
Vcs-Browser: https://salsa.debian.org/debian/opencu
Vcs-Git: https://salsa.debian.org/debian/opencu.git -b debian/unstable
Rules-Requires-Root: no

Package: opencu
Architecture: any
Breaks: cu
Replaces: cu
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Serial terminal emulator
 cu is used to connect to another system over a serial link.  In the era
 before modern networks, it was typically used to connect to a modem in
 order to dial in to a remote host.  It is now frequently used for tasks
 such as attaching to the serial console of another machine for
 administrative or debugging purposes.
